This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1277187 - Packages NVRs missing in the root.log if populated from the cache
Packages NVRs missing in the root.log if populated from the cache
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mock (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Suchý
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-02 10:47 EST by Jaroslav Škarvada
Modified: 2016-09-05 22:20 EDT (History)
7 users (show)

See Also:
Fixed In Version: mock-1.2.19-2.fc24 mock-1.2.20-1.el6 mock-1.2.20-1.el7 mock-1.2.20-1.fc25 mock-1.2.20-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-02 22:18:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
always show installed packages (897 bytes, patch)
2016-07-14 10:15 EDT, Mikhail Campos
no flags Details | Diff

  None (edit)
Description Jaroslav Škarvada 2015-11-02 10:47:04 EST
Description of problem:
If buildroot is populated from the cache (the default behaviour) the packages NVRs used for the buildroot are not logged in the root.log 

Version-Release number of selected component (if applicable):
mock-1.2.13-2.fc22.noarch

How reproducible:
Always

Steps to Reproduce:
1. mock SRPM
2. mock SRPM
3. grep glibc root.log

Actual results:
Nothing

Expected results:
glibc version used

Additional info:
Previously (some time ago) I was used to compare root.log from mock with root.log from koji to quickly find buildroots differences to diagnose build failures. Now I need to scrub the cache first or enter the chroot and compare by using rpm.

I think it should be trackable from the logs, which packages were used. I think the logs should provide all information allowing reproducing the build.
Comment 1 Mikhail Campos 2016-07-14 10:15 EDT
Created attachment 1179878 [details]
always show installed packages

Agree. 

It might be only done to decrease size of the log in the reason that you use cached data and should already know it's list of installed packages. In this case a little optimization is not so important, so improving usability may be  better choice.

Proposed patch attached.
Additionally, commit 2247e0d3 may be reverted
Comment 2 Miroslav Suchý 2016-07-14 11:40:59 EDT
Hmm, I'm not sure. I would rather wipe it completly and left it on
  https://fedoraproject.org/wiki/Mock/Plugin/PackageState?rd=Subprojects/Mock/Plugin/PackageState

And introduce separate option for installed_pkgs and separate option for available_pkgs.

Where installed_pkgs will be enabled by default and available_pkgs disabled by default.

Opinions?
Comment 3 Mikhail Campos 2016-07-15 06:47:55 EDT
In such case I would agree. It's more convenient to keep it in separate file.

Actually, I was trying to use this plugin but resulted an error. 

But judging by the code, installed_pkgs will include also build deps. In addition, it may simplify reproducing exactly the same chroot that was used to build the package. It might be even useful to add something like 'mock --init --repr=/path/to/installed_pkgs' or whatever to construct the same as original buildroot for the package
Comment 4 Fedora End Of Life 2016-07-19 14:24:25 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Miroslav Suchý 2016-07-27 10:44:19 EDT
Still valid.
Comment 6 Miroslav Suchý 2016-08-08 09:58:00 EDT
Fixed in commit
* 264597b (HEAD -> devel) enable package_state plugin by default and create installed_pkgs file [RHBZ#1277187]

New defaults is now:
# config_opts['plugin_conf']['package_state_enable'] = True
# config_opts['plugin_conf']['package_state_opts'] = {}
# config_opts['plugin_conf']['package_state_opts']['available_pkgs'] = False
# config_opts['plugin_conf']['package_state_opts']['installed_pkgs'] = True

ie. installed_pkgs is created by default. And even in offline mode (previously it was not created in offline mode).
Comment 7 Fedora Update System 2016-08-10 09:58:32 EDT
mock-1.2.19-2.fc23 distribution-gpg-keys-1.5-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6ba1c57742
Comment 8 Fedora Update System 2016-08-10 09:59:05 EDT
mock-1.2.19-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7a569517fe
Comment 9 Fedora Update System 2016-08-10 09:59:39 EDT
mock-1.2.19-2.fc24 distribution-gpg-keys-1.5-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-497b37d2bc
Comment 10 Fedora Update System 2016-08-10 10:00:14 EDT
mock-1.2.19-2.el7 distribution-gpg-keys-1.5-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-2b233647a0
Comment 11 Fedora Update System 2016-08-10 10:00:49 EDT
mock-1.2.19-2.el6 distribution-gpg-keys-1.5-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-6b161941e5
Comment 12 Fedora Update System 2016-08-10 14:54:48 EDT
mock-1.2.19-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7a569517fe
Comment 13 Fedora Update System 2016-08-10 15:52:53 EDT
distribution-gpg-keys-1.5-1.fc23, mock-1.2.19-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6ba1c57742
Comment 14 Fedora Update System 2016-08-10 23:23:58 EDT
distribution-gpg-keys-1.5-1.fc24, mock-1.2.19-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-497b37d2bc
Comment 15 Fedora Update System 2016-08-11 10:16:07 EDT
distribution-gpg-keys-1.5-1.el6, mock-1.2.19-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-6b161941e5
Comment 16 Fedora Update System 2016-08-11 10:20:17 EDT
distribution-gpg-keys-1.5-1.el7, mock-1.2.19-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-2b233647a0
Comment 17 Fedora Update System 2016-08-15 17:25:16 EDT
distribution-gpg-keys-1.5-1.fc24, mock-1.2.19-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2016-08-17 05:42:32 EDT
distribution-gpg-keys-1.5-1.fc23 mock-1.2.20-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6ba1c57742
Comment 19 Fedora Update System 2016-08-17 05:43:04 EDT
mock-1.2.20-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7a569517fe
Comment 20 Fedora Update System 2016-08-17 05:43:50 EDT
distribution-gpg-keys-1.5-1.el7 mock-1.2.20-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-2b233647a0
Comment 21 Fedora Update System 2016-08-17 05:44:24 EDT
distribution-gpg-keys-1.5-1.el6 mock-1.2.20-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-6b161941e5
Comment 22 Fedora Update System 2016-08-17 15:54:57 EDT
mock-1.2.20-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7a569517fe
Comment 23 Fedora Update System 2016-08-17 21:51:48 EDT
distribution-gpg-keys-1.5-1.fc23, mock-1.2.20-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6ba1c57742
Comment 24 Fedora Update System 2016-08-18 00:19:19 EDT
distribution-gpg-keys-1.5-1.el7, mock-1.2.20-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-2b233647a0
Comment 25 Fedora Update System 2016-08-18 00:19:31 EDT
distribution-gpg-keys-1.5-1.el6, mock-1.2.20-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-6b161941e5
Comment 26 Fedora Update System 2016-09-02 22:17:30 EDT
distribution-gpg-keys-1.5-1.el6, mock-1.2.20-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.
Comment 27 Fedora Update System 2016-09-02 22:18:25 EDT
distribution-gpg-keys-1.5-1.el7, mock-1.2.20-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 28 Fedora Update System 2016-09-03 13:39:52 EDT
mock-1.2.20-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 29 Fedora Update System 2016-09-05 22:20:23 EDT
distribution-gpg-keys-1.5-1.fc23, mock-1.2.20-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.